XmFontListRemoveEntry(3)

NAME
XmFontListRemoveEntry — A font list function that removes a font list entry from a font list

SYNOPSIS

#include <Xm/Xm.h>
XmFontList XmFontListRemoveEntry(
XmFontList oldlist,
XmFontListEntry entry);

DESCRIPTION

XmFontListRemoveEntry creates a new font list that contains the contents of oldlist minus those entries specified in entry. The routine removes any entries from oldlist that match the components (tag, type font/font set) of the specified entry. The function deallocates the original font list after extracting the required information. The caller uses XmFontListEntryFree to recover memory allocated for the specified entry. This routine does not free the XFontSet or XFontStruct associated with the font list entry that is removed.

oldlist
    Specifies the font list

entry
    Specifies the font list entry to be removed

RETURN

If oldlist is NULL, the function returns NULL. If entry is NULL or no entries are removed, the function returns oldlist. Otherwise, it returns a new font list. If the function returns a new font list, the function allocates space to hold the new font list. The application is responsible for managing the allocated space. The application can recover the allocated space by calling XmFontListFree.

RELATED

XmFontList(3), XmFontListAppendEntry(3), XmFontListEntryCreate(3), XmFontListEntryFree(3), XmFontListEntryLoad(3), and XmFontListFree(3).